/*
SELECT sum(source_size + code_size + parsed_size + error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE'
   AND OWNER = 'NS_USER';
*/

SELECT sum(source_size + code_size + parsed_size + error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE'
   AND OWNER = 'NS_USER';

/*
SELECT sum(source_size + code_size + parsed_size + error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE BODY'
   AND OWNER = 'NS_USER';
*/

SELECT sum(source_size + code_size + parsed_size + error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE BODY'
   AND OWNER = 'NS_USER';

/*
SELECT sum(parsed_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE'
   AND OWNER = 'NS_USER';

SELECT sum(parsed_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE BODY'
   AND OWNER = 'NS_USER';

SELECT sum(error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE'
   AND OWNER = 'NS_USER';

SELECT sum(error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE BODY'
   AND OWNER = 'NS_USER';
*/

SELECT sum(parsed_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE'
   AND OWNER = 'NS_USER';

SELECT sum(parsed_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE BODY'
   AND OWNER = 'NS_USER';

SELECT sum(error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE'
   AND OWNER = 'NS_USER';

SELECT sum(error_size)
  FROM dba_object_size
 WHERE type = 'PACKAGE BODY'
   AND OWNER = 'NS_USER';

/*
SELECT type, sum(source_size)
  FROM dba_object_size
 WHERE type in ('PACKAGE', 'PACKAGE_BODY')
   AND OWNER = 'CRR_USER';

SELECT type, sum(code_size)
  FROM dba_object_size
 WHERE type in ('PACKAGE', 'PACKAGE_BODY')
   AND OWNER = 'CRR_USER';
*/
