
DROP   TABLE model_comprod;
CREATE TABLE model_comprod AS
SELECT DISTINCT model, datatablename, division
FROM   commercial_products;

DROP   TABLE model_graphic;
CREATE TABLE model_graphic AS
SELECT a.record_id grid, b.model model, a.graphicid graphicid, 
       a.filename g_filename, a.extension g_extension, b.pagetype,
       b.usage
FROM   graphic_objects a, 
       graphic_model_association b
WHERE  a.graphicid = b.graphicid;


DROP   TABLE model_text_pp;
CREATE TABLE model_text_pp AS
SELECT a.record_id trid, b.model model, a.textid textid, 
       a.filename t_filename, a.extension t_extension,
       b.pagetype t_pagetype, b.usage t_usage
FROM   text_objects a, 
       text_model_association b
WHERE  a.textid = b.textid;

DROP   TABLE model_download;
CREATE TABLE model_download AS
SELECT a.record_id drid, b.model model, a.downloadmodel downloadmodel, 
       a.filename d_filename, a.extension d_extension,
       a.licenseid , a.installid, a.descriptionid
FROM   download_objects a, 
       download_model_association b
WHERE  a.downloadmodel = b.downloadmodel;

/*
DROP   TABLE model_report;
CREATE TABLE model_report 
(
mrid             number(10),
model            varchar2(50),
datatablename    varchar2(30),
division         varchar2(5),
p_photo_fname    varchar2(50),
p_txt_fname      varchar2(60),
seg_txt_fname    varchar2(60),
num_downloads    number(5)
);

DROP sequence mrepseq;
CREATE sequence mrepseq 
START WITH 1
INCREMENT BY 1
ORDER;
*/
