UPDATE commercial_products
   SET electronic_literature = 1
 WHERE model IN
       (SELECT model from download_links
         WHERE extension = 'PDF'
         AND obsolete  IS NULL);

UPDATE commercial_products
   SET electronic_catalog =1
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) = 'E-CAT'
         AND obsolete  IS NULL);

UPDATE commercial_products
   SET cad_template = 1
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) LIKE 'CAD%TEMPLATE'
         AND obsolete  IS NULL);

UPDATE commercial_products
   SET engineering_software = 1
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) LIKE 'E20-II'
         AND obsolete  IS NULL);
