DROP VIEW download_links;
CREATE VIEW download_links AS
SELECT a.downloadmodel, a.description, 
       a.downloadfiletype, a.filename, a.extension,
       a.fileformat, a.securitylevel, a.disksize,
       a.downloadable, a.descriptionid, a.licenseid,
       a.installid, a.obsolete, b.model
FROM   download_objects a,
       download_model_association b
WHERE  a.downloadmodel = b.downloadmodel
  AND  TO_NUMBER(a.downloadable) =1;

